digiKam 5.4.0 - Release date: 2017-01-08

*****************************************************************************************************
NEW FEATURES:

Searches     : Improvements of duplicate searches to introduce a range of similarity of items.
Searches     : Improvements of duplicate searches to be able to sort search albums list view by similarly level.
Searches     : Improvements of duplicate searches to permit multiple selection in search albums list view.
Searches     : Improvements of fuzzy searches to permit fuzzy search on local images not present in the database via drag & drop.
Searches     : Improvements of duplicate/fuzzy/sketch searches to permit sorting the resulting images in image view by similarity level.
Searches     : Improvements of duplicate/fuzzy/sketch search results by showing the concrete similarity values in table view.

Album View     : Improvements of grouped images to apply renaming, copying or metadata actions to all images.

SlideShow    : Add video support.

Presentation : Add video support.

General      : Media player is now ported to QtAV instead Qt5Multimedia (https://www.qtav.org/).
General      : Add support of animated GIF in preview mode.
General      : Update internal Libraw to last 0.18. New camera supported:
               Apple: iPad Pro, iPhone SE, iPhone 6s, iPhone 6 plus, iPhone 7, iPhone 7 plus
               BlackMagic Micro Cinema Camera, URSA, URSA Mini
               Canon PowerShot G5 X, PowerShot G7 X Mark II, PowerShot G9 X, IXUS 160 (CHDK hack), EOS 5D Mark IV, EOS 80D, EOS 1300D, EOS M10, EOS M5, EOS-1D X Mark II
               Casio EX-ZR4000/5000
               DXO One,
               FujiFilm X-Pro2, X70, X-E2S, X-T2
               Gione E7
               GITUP GIT2
               Google Pixel,Pixel XL
               Hasselblad X1D, True Zoom
               HTC MyTouch 4G, One (A9), One (M9), 10
               Huawei P9
               Leica M (Typ 262), M-D (Typ 262), S (Typ 007), SL (Typ 601), X-U (Typ 113), TL
               LG G3, G4
               Meizy MX4
               Nikon D5, D500, D3400
               Olympus E-PL8, E-M10 Mark II, Pen F, SH-3, E-M1-II
               Panasonic DMC-G8/80/81/85, DMC-GX80/85, DMC-TZ80/81/85/ZS60, DMC-TZ100/101/ZS100,DMC-LX9/10/15, FZ2000/FZ2500
               Pentax K-1, K-3 II, K-70
               PhaseOne IQ3 100MP
               RaspberryPi Camera, Camera V2
               Ricoh GR II
               Samsung Galaxy S7, S7 Edge
               Sigma sd Quattro
               Sony A7S II, ILCA-68 (A68),ILCE-6300,DSC-RX1R II,DSC-RX10III, DSC-RX100V,ILCA-99M2 (A99-II), a6500, IMX214, IMX219, IMX230, IMX298-mipi 16mp, IMX219-mipi 8mp, Xperia L
               PtGrey GRAS-50S5C
               YUNEEC CGO4
               Xiaomi MI3, RedMi Note3 Pro

*****************************************************************************************************
BUGFIXES:

001 --> 366624 - digiKam defaults to fullscreen with no menu and status bar.
002 --> 372027 - Adjust grouping behavior [patch].
003 --> 372232 - Strange window switching between main digikam window and importing window.
004 --> 294579 - GROUP : grouped pictures are not processed together except the first one (Renaming, Tags, Metadata, Labels, etc.).
005 --> 307332 - GROUP : problem about grouped items at copy operation.
006 --> 368762 - Only Jpg files are visible if importing them into a Subfolder of a Grouped folder [patch].
007 --> 371543 - BQM TimeAdjust tool language is wrong.
008 --> 369051 - Too low similarity threshold in fuzzy/duplicate search bloats the results with potentially unwished high-similarity results [patch].
009 --> 372217 - The results of the Duplicates are currently sorted by the image id and sortable by name and count if similars. But it should be sortable by the similarity of the duplicates, too. [patch].
010 --> 372362 - Build error due to private function.
011 --> 372341 - Title not showing in tool-tip.
012 --> 372326 - digiKam crashed when closing it.
013 --> 372314 - I cannot choose the template predefined in the import window while renaming (F2).
014 --> 372164 - Camera related photograph properties are unavailable (erroneously).
015 --> 372433 - Reduce debug messages from databaseserver with internal mysql.
016 --> 372442 - Ordering of duplicates search by the result count is done lexicographically [patch].
017 --> 366567 - Allow choosing several duplicate results [patch].
018 --> 274360 - Fuzzy search finds only in few type of pictures.
019 --> 372380 - Support for digiKam 5.2.0.
020 --> 372484 - HTML captions only show in right side panel as rendered, not editable source.
021 --> 372323 - Camera autodetection fails when using AppImage bundle.
022 --> 372583 - The Similarity in DuplicatesSearch and FuzzySearch should be renamed to Similarity range [patch].
023 --> 372584 - It is not possible to give a similarity range for duplicates search in maintenance dialog [patch].
024 --> 372683 - Attempt to set a screen on a child window and DBusMenuExporterPrivate::fillLayoutItem No id for action.
025 --> 372640 - Can't drag any image file from digikam to GIMP.
026 --> 370150 - digiKam geolocation editor drag and drop works only at the first edit.
027 --> 372672 - File Renaming Options sidebar is missing.
028 --> 372722 - Missing items in albums.
029 --> 204006 - Automatic renaming of duplicate filenames while importing.
030 --> 372312 - Database upgrade v7 to v8 failed.
031 --> 366162 - After exporting the images in picasa or yandex photo they are not visible in digiKam.
032 --> 261417 - Duplicate image counter is not adjusted when removing a duplicate [patch].
033 --> 354232 - Lens information is always "unavailable" for Pentax K-S1 images.
034 --> 372684 - No thumbnail shows for some files.
035 --> 372781 - The recent similarity range is not saved which may lead to odd results [patch].
036 --> 372831 - digiKam crashes when trying to fix red eyes.
037 --> 372872 - Possible Null-Pointer dereference in AlbumManager [patch].
038 --> 372859 - Iphone not usable anymore in digiKam.
039 --> 367611 - Time gap on renaming at download.
040 --> 371899 - Crash on tagging images.
041 --> 363998 - digiKam sees Nikon D700 but cannot import files.
042 --> 361848 - When writing metadata to files is disabled, digikam still displays "Writing metadata to files".
043 --> 330062 - Import from MTP or PTP based cameras is very slow.
044 --> 372900 - When starting digiKam5, it crashes before opening the program, but after the splash screen.
045 --> 372427 - Some pictures do not display.
046 --> 102500 - ICONVIEW : more space conservative in thumbs view.
047 --> 330064 - Copy file from computer to camera doesn't work.
048 --> 372628 - Crash at startup connecting to MySQL 5.7 database.
049 --> 372540 - fileSize field in Images table limited to 4GB.
050 --> 373003 - Wrongly calculated uniqueHash.
051 --> 370553 - Adjust date - not possible to update "digikam timestamp".
052 --> 372093 - Corrupts image file when crashing.
053 --> 352870 - Image is missing from album thumbnails.
054 --> 373100 - Deleting duplicate image in "Find duplicates" removes all other found duplicates
055 --> 334799 - Import button on toolbar not activated after plugging in USB stick/memory card with photos.
056 --> 321145 - GoogleMaps : lost zoom function via mouse wheel and keyboard shortcuts.
057 --> 320628 - Rename makes copies instead of renaming.
058 --> 285910 - Reverse Geocoding and order of tags.
059 --> 340609 - Impossible to use [meta:Exif.Photo.LensModel] in rename function.
060 --> 370744 - Date viewer does not return photos [patch].
061 --> 339961 - HUB : Add Windows Photo Gallery / Windows Explorer Hierarchical tags support.
062 --> 312054 - Cannot add a collection on the network in Gnome-based environment.
063 --> 373500 - digiKam segfaults when tagging face.
064 --> 362406 - On import renaming by date from file should use exif date and time not modification time as standard.
065 --> 301936 - Rename by date is based on 'date modified' not 'date created' : add helper text in GUI.
066 --> 327244 - Automatic album generation produces only lower case album / folder names.
067 --> 256179 - GPS metadata not stored in JPEG when exporting from raw.
068 --> 327391 - HUB : add IrfanView tags support.
069 --> 373272 - No longer shows video previews.
070 --> 159824 - Show videos in Slideshow.
071 --> 372755 - CASIO EX-Z750.
072 --> 366387 - Video (mts and mov) not played (neither from camera nor local file).
073 --> 348933 - When in slideshow mode digikam can't play video files.
074 --> 330112 - No Thumbnails for video files - ffmpegthumbnailer works perfectly outside of digikam
075 --> 222319 - Videos are not played in slideshow.
076 --> 281718 - Thumbnails only generate for certain video files but not others even though all from same camera on same day.
077 --> 280755 - Need thumbnail for video items instead of generic icon.
078 --> 373715 - Renaming popup stays when file with new name already exists.
079 --> 301029 - Meaningless video preview.
080 --> 242799 - digiKam segfaults when opening video.
081 --> 260594 - digiKam crashed when starting video playback.
082 --> 230985 - digiKam viewing album click on video file program crashed.
083 --> 151539 - Usability - scrolling into video takes long time without visual indication to user.
084 --> 332074 - Crash while playing video and adding a color-tag.
085 --> 336309 - digiKam crashes when opening video.
086 --> 335996 - Crash when try opening video.
087 --> 336594 - digiKam crash when try to look at video.
088 --> 225731 - digiKam no preview icon for video.
089 --> 096133 - digiKam to play video.
090 --> 091538 - Optionally don't generate thumbnails for video files.
091 --> 151540 - usability: video view is missing some play/stop/pause buttons.
092 --> 372485 - Video thumbnails not created on OS X (Linux works fine since 5.3).
093 --> 370228 - Thumbnail generation fails on video files.
094 --> 216655 - Add video files support in Advanced slideshow.
095 --> 248586 - Advanced slide show should also use videos like normal slide show.
096 --> 139690 - Include videos to slideshow.
097 --> 373606 - digiKam crash on exit.
098 --> 373954 - Tags are not written to images in Iptc.Application2.Keywords.
099 --> 373754 - Cannot Shorten Face Tag Name.
100 --> 373562 - Inconsistent items selected count with groups in the main view [patch].
101 --> 374010 - Segfault on accessing DNG file.
102 --> 339748 - Open folder with mp4 file digiKam crash.
103 --> 337300 - Crash when opening mp4 file.
104 --> 349924 - Videos (mp4, mov, avi) do not play under OS X Yosemite when using digiKam.
105 --> 292316 - digiKam do not provide thumbnails for .mov, .mp4 video files.
106 --> 152522 - Support for *.3gp and *.mp4 video files in digiKam.
107 --> 144078 - Very slow AVI files preview.
108 --> 336791 - Add same features for video files than image files.
109 --> 132369 - Don't down some file .mov video files.
110 --> 142051 - JVC gz-mc500e video thumbnails issue.
111 --> 340093 - digiKam freezed with 100% CPU when rebuilding video thumbnails.
112 --> 335299 - digiKam crashes when clicking on avi file icon to play it.
113 --> 147466 - digiKam crashes on termination if an audio file played.
114 --> 187959 - Crash on start with audio problem.
115 --> 330579 - Does not show Audio files in Album View.
116 --> 356939 - Advanced slide show: playing sound track does not work.
117 --> 333348 - Soundtrack is zero length in Advanced Slideshow.
118 --> 320666 - Add search of similar images outside digiKam collections [patch].
119 --> 302923 - Sort Icon-view items found by Fuzzy Searches [patch].
120 --> 374109 - Video playback does not work.
121 --> 339027 - digiKam crashes directly after starting (segmentation fault).
122 --> 339092 - Segmentation Fault when launching digiKam.
123 --> 175626 - digiKam crashes while startup.
124 --> 335885 - Crash opening .mov.
125 --> 267992 - digiKam crashes after showing start up splash.
126 --> 235920 - digiKam crashes after uppgrading from Ubuntu 9.10 to 10.04.
127 --> 294432 - digiKam crashes on startup.
128 --> 264035 - digiKam crashes reading corrupt image.
129 --> 369681 - Startup Crash digikam 5.2 (segmentation vault).
130 --> 369595 - Crash on startup with segmentation vault.
131 --> 366440 - digiKam 5.0.0-147.4 with mysql database segfaults upon startup.
132 --> 349929 - digiKam can't register existing type 'GstObject' on startup.
133 --> 221690 - digikam: symbol lookup error about GStreamer.
134 --> 363116 - import selected from sd-card crashes.
135 --> 374071 - Tags checkbox tristate incorrect when deselecting tagged images (off-by-one).
136 --> 313507 - digiKam does not start reliable anymore.
137 --> 353534 - Error at startup: error loading kio_digikamalbums followed by crash.
138 --> 097078 - digiKam comments KIO slave for inserting comments into other files.
139 --> 096878 - Ability to use kioslaves for camera image source.
140 --> 119424 - digiKam unable to create io-slave.
141 --> 145228 - Public Album kioslaves.
142 --> 354867 - digiKam crashes while renaming files.
143 --> 150076 - Playing music during a slideshow.
144 --> 374135 - Storage capacity shows lower unit than actual capacity.
145 --> 203714 - Play animated GIF files in preview mode.
146 --> 374178 - Wanting .vob files and .mov files to appear.
147 --> 374179 - Want .mts movies to appear in the digikam album.
148 --> 370392 - digiKam does not start on wayland.
149 --> 372420 - digiKam crashed under wayland.
150 --> 366234 - Import from card readers starts automatically when digikam is started.
151 --> 374185 - Tagging problem when two names like 'Name%'.
152 --> 372481 - Face tag assignment with copy/paste.
153 --> 284780 - Face assignment need to use both mouse and keyboard to name persons.
154 --> 368124 - Face tag inside album view is case sensitive.
155 --> 360155 - Tag list is not filtered during face tag naming.
156 --> 374354 - Installer adds "Uninstall" item to Start menu.
157 --> 360955 - digiKam - EXIF caption no longer copied to captions area.
158 --> 371530 - Database query fails when adding face rectangle resulting in full freeze.
159 --> 365313 - SETUP : Selecting location for pictures during initial setup results in wrong collection path.
160 --> 366247 - digiKam writes metadata to some files only not every one.
161 --> 374326 - Tag view does not always show children.
162 --> 374327 - Tags view: shows images that do not have the currently selected tag.
163 --> 374413 - Picture sorting by name incorrect.
164 --> 296580 - Allow D&D for clock photo in batch queue manager.
165 --> 374428 - digiKam crashes when choosing several duplicate results.
166 --> 340986 - digiKam crashed at startup.
167 --> 339308 - digiKam 4.2.0-2 crashes in Manjaro.
168 --> 321531 - digiKam crash while browsing videos.
169 --> 372159 - Add option to run only the selected queue in BQM
170 --> 357696 - digiKam crashes at startup.
171 --> 199608 - digiKam crash after photo scan.
172 --> 335915 - digiKam crashes in Preview while moving photos to new Albums.
173 --> 274893 - digiKam crashes on start.
174 --> 180701 - digiKam crashes after startdialog.
175 --> 362300 - digiKam crashed.
176 --> 358092 - digiKam crashed on trying dot downloadf photos from Fairphone 2 in PTP mode.
177 --> 288658 - digiKam Crash on startup.
178 --> 352295 - Launching digiKam crash.
179 --> 361111 - digiKam doesn't start.
180 --> 292230 - digiKam Crash after WMV video open attempt.
181 --> 220201 - digiKam crashed for no apparent reason.
182 --> 374191 - Unusable context menu entries in tags and people view.
183 --> 344698 - digiKam Crash when start.
184 --> 335340 - digiKam crashes while moving Fotos [@ Phonon::Gstreamer::Pipeline::setState].
185 --> 335051 - Opening a MP4 File from a Nexus 4 crashes digiKam (may be by thumbnail generation).
186 --> 333737 - digiKam crashes during startup (before any window shows up).
187 --> 330848 - digiKam crash when i want play video.
188 --> 319702 - digiKam crashed during opening an .avi movie.
189 --> 244789 - digiKam crashes when opening a movie file.
190 --> 261914 - digiKam crashes on exit after selecting VLC as Phonon backend.
191 --> 323194 - Crash of digiKam by starting as user.
192 --> 261397 - digiKam Crashes on Startup.
193 --> 323514 - digiKam crashes when viewing a video.
194 --> 373434 - No exif data in pictures exported to Flickr.
195 --> 374242 - exported photos to Gphoto are rotated.
196 --> 374409 - Export to Flickr ignores EXIF Orientation.
197 --> 329309 - TIF files appear not in correct orientation in Piwigo.
198 --> 374510 - Creating albums on flickr with line breaks in their descriptions fails [patch].
199 --> 374442 - Exporting images with line breaks in their captions to flickr fails.
200 --> 374293 - Google albums reload button still display albums which have been removed from google photos.
